# OpalMediaCommand Class Reference

`#include <mediacmd.h>`

Inheritance diagram for OpalMediaCommand:

[legend]

## Public Member Functions

Overrides from PObject
virtual void | PrintOn (ostream &strm) const
virtual Comparison | Compare (const PObject &obj) const
virtual PObject * | Clone () const =0
Operations
virtual PString | GetName () const =0
virtual void * | GetPlugInData () const
virtual unsigned * | GetPlugInSize () const

## Detailed Description

This is the base class for a command to a media transcoder and/or media stream. The commands are highly context sensitive, for example OpalVideoUpdatePicture would only apply to a video transcoder.

## Member Function Documentation

virtual PObject* OpalMediaCommand::Clone | ( |  | ) | const`[pure virtual]`

virtual Comparison OpalMediaCommand::Compare | ( | const PObject & | obj | ) | const`[virtual]`

Compare the two objects and return their relative rank. This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns:
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Parameters:

  obj | Object to compare against.

virtual PString OpalMediaCommand::GetName | ( |  | ) | const`[pure virtual]`

Get the name of the command.

Implemented in OpalVideoUpdatePicture, OpalVideoPictureLoss, OpalTemporalSpatialTradeOff, and OpalMediaFlowControl.

virtual void* OpalMediaCommand::GetPlugInData | ( |  | ) | const`[virtual]`

Get data buffer pointer for transfer to/from codec plug-in.

virtual unsigned* OpalMediaCommand::GetPlugInSize | ( |  | ) | const`[virtual]`

Get data buffer size for transfer to/from codec plug-in.

virtual void OpalMediaCommand::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Standard stream print function. The PObject class has a << operator defined that calls this function polymorphically.

Parameters:

  strm | Stream to output text representation

The documentation for this class was generated from the following file:

- mediacmd.h